#
# Conditional build:
%bcond_without	tests	# disable tests
#
Summary:	mDNS Service Switch Module
Summary(pl.UTF-8):	Moduł NSS mDNS
Name:		nss_mdns
Version:	0.15.1
Release:	1
License:	LGPL v2.1
Group:		Base
Source0:	https://github.com/lathiat/nss-mdns/releases/download/v%{version}/nss-mdns-%{version}.tar.gz
# Source0-md5:	78b96e7360a8af106c609c9c5fc17274
URL:		http://0pointer.de/lennart/projects/nss-mdns/
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake >= 1:1.9
%{?with_tests:BuildRequires:	check-devel >= 0.11}
BuildRequires:	gcc >= 6:4.5
BuildRequires:	libtool
Requires(post):	/etc/nsswitch.conf
Requires(post): grep
Requires(post): sed
Requires(postun): sed
Requires:	avahi
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		/%{_lib}

%description
nss-mdns is a plugin for the GNU Name Service Switch (NSS)
functionality of the GNU C Library (glibc) providing host name
resolution via Multicast DNS (aka Zeroconf, aka Apple Rendezvous),
effectively allowing name resolution by common Unix/Linux programs in
the ad-hoc mDNS domain .local.

%description -l pl.UTF-8
nss-mdns to wtyczka dla funkcjonalności NSS (Name Service Switch) w
glibc dająca możliwość rozwiązywania nazw poprzez Multicast DNS (znany
także jako Zeroconf lub Apple Rendezvous), efektywnie umożliwiająca
rozwiązywanie nazw przez popularne programy uniksowe/linuksowe w
doraźnej domenie mDNS .local.

%prep
%setup -q -n nss-mdns-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--%{?with_tests:en}%{!?with_tests:dis}able-tests
%{__make}
%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%post
if ! grep -q '^hosts:.*mdns' /etc/nsswitch.conf ; then
	%banner %{name} <<-EOF
	Adding Multicast-DNS resolver to /etc/nsswitch.conf
EOF
	sed -i -e's/^\(hosts:.*\)dns\(.*\)/\1mdns4_minimal [NOTFOUND=return] dns mdns4\2/' /etc/nsswitch.conf
fi

%postun
if [ "$1" = "0" ]; then
	sed -i -r -e's/mdns4(_minimal)?( \[NOTFOUND=return\])?( |$)//g' /etc/nsswitch.conf || :
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ACKNOWLEDGEMENTS.md README.md NEWS.md
%attr(755,root,root) %{_libdir}/libnss_mdns*.so.*
%changelog
* Sun Sep 04 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nss_mdns.git;a=log;h=master

* Sat Sep 03 2022 Jan Palus <atler@pld-linux.org> 3c0c651
- up to 0.15.1

* Sat Sep 03 2022 Jan Palus <atler@pld-linux.org> 9bb69fe
- don't run make check when building without tests

* Sat Sep 03 2022 Jan Palus <atler@pld-linux.org> 7d454b0
- updated deps

* Sat Sep 03 2022 Jan Palus <atler@pld-linux.org> 68165ee
- disable silent rules

* Fri Jun 14 2019 Bartek Szady <bszx@bszx.eu> 3fff198
- updated to 0.14.1 from github

* Sun May 02 2010 Jacek Konieczny <jajcus@pld-linux.org> 1630ccc
- undo changes made by %post in %postun

* Sun May 02 2010 Jacek Konieczny <jajcus@pld-linux.org> e906aa3
- do not build the insecure legacy (no-avahi) code by default
- avahi bcond also added
- add nss_mdns to /etc/resolv.conf in %post
- Release: 2

* Fri Dec 28 2007 zbyniu <zbyniu@pld-linux.org> 7d2dad8
- up to 0.10

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> b4769a0
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f52b95a
- converted to UTF-8

* Mon Jan 15 2007 deejay1 <deejay1@pld-linux.org> 361faf7
- up to 0.9

* Thu May 25 2006 blaass <blaass@pld-linux.org> a4e4ac5
- updated to 0.8

* Sun Mar 12 2006 Jakub Bogusz <qboosh@pld-linux.org> ece3f7b
- updated to 0.7

* Mon Aug 22 2005 aredridel <aredridel@pld-linux.org> b893ecf
- up to 0.6

* Fri Feb 04 2005 matowy <matowy@pld-linux.org> 32973ec
- up to 0.3, added URL

* Mon Dec 20 2004 Jakub Bogusz <qboosh@pld-linux.org> 9e8e0a2
- pl desc

* Fri Dec 17 2004 aredridel <aredridel@pld-linux.org> a846b79
- cleanup

* Fri Dec 17 2004 aredridel <aredridel@pld-linux.org> 76fc675
- added

